/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <studio/undocommand.hpp>

#include <nostalgia/gfx/palette.hpp>

namespace nostalgia::gfx {

class RemoveColorCommand: public studio::UndoCommand {
	private:
		Palette &m_pal;
		size_t const m_idx = 0;
		ox::String m_colorInfo;
		ox::Vector<Color16> const m_colors;

	public:
		RemoveColorCommand(Palette &pal, size_t idx) noexcept;

		~RemoveColorCommand() noexcept override = default;

		[[nodiscard]]
		int commandId() const noexcept override;

		ox::Error redo() noexcept override;

		ox::Error undo() noexcept override;

};

}
